// 菜单模板  begin
KindEditor.plugin('nsymenu', function(K) {
			var self = this, name = 'nsymenu',lang = self.lang(name + '.');
			self.plugin.nsymenu = {
	            edit : function() {
		            var html = [
			            '<div style="padding:20px;">',
			            //菜单模板选择加载
			            '<div class="ke-dialog-row">',
			            '<label>'+lang.menu+'</label><iframe id="d_nsymenu" name="d_nsymenu" frameborder="0" src="../Wpedt/WpdccEditor/plugins/nsymenu/nsyitemmenu.aspx" width="100%" height="50px" scrolling="no" ></iframe>',
			            '</div>',
			            '</div>'
		            ].join('');
		            var dialog = self.createDialog({
			            name : name,
			            width : 300,
			            title : self.lang(name),
			            body : html,
			            yesBtn : {
				            name : self.lang('yes'),
				            click : function(e) {
        						
					            var menuid=1;
					            var menuname="";
					            try {
					                menuid = frames['d_nsymenu'].myform.menuset.value;
                                    menuname=frames['d_nsymenu'].myform.menuset.options[frames['d_nsymenu'].myform.menuset.selectedIndex].text;//选中栏目的text
                                }catch(e){
                                    alert("error");
                                }
                                
					            var html = "<button id=\"QXNSY2005\" name=\"002?menuId="+menuid+"\" >"+lang.show+"="+menuname+"</button>";
					            self.insertHtml(html).hideDialog().focus();
				            }
			            }
		            }),
		            div = dialog.div;
		            //加载右键菜单
		            var img = self.plugin.getSelectedNsymenu();
		            
			        if (img) {
				        
				        
			        }
		            
	            }
	            
            };
	    //加载控件
	    self.clickToolbar(name, self.plugin.nsymenu.edit);
		});

// 菜单模板  end